#!/bin/bash

#SCRIPTSRC=`readlink -f "$0" || echo "$0"`
#RUN_PATH=`dirname "${SCRIPTSRC}" || echo .`
#install_prefix=${RUN_PATH}/..

#Avian - get the proper root dir of InWorldz
pushd ..
install_prefix=$PWD
popd
desktop_name="InWorldz-Viewer.desktop"

function install_desktop_entry()
{
    local installation_prefix="$1"
    local desktop_entries_dir="$2"
    local entry_type="$3"

    local desktop_entry="\
[Desktop Entry]\n\
Name=InWorldz Viewer\n\
Comment=Client for the MetaVerse\n\
Exec=${installation_prefix}/inworldz\n\
Icon=${installation_prefix}/inworldz_48.png\n\
Terminal=false\n\
Type=Application\n"

if [ "$entry_type" == "Menu" ]
  then
	 desktop_entry="${desktop_entry}\
Categories=Application;Internet;Network;\n\
StartupNotify=true\n\
X-Desktop-File-Install-Version=3.0\n
StartupWMClass=do-not-directly-run-inworldz-bin"
  else
	 desktop_entry="${desktop_entry}\
Icon[en_US]=${installation_prefix}/inworldz_48.png\n\
Version=1.0"
fi

    echo " - Installing menu entries in ${desktop_entries_dir}"
    mkdir -vp "${desktop_entries_dir}"
    echo -e $desktop_entry > "${desktop_entries_dir}/${desktop_name}" || "Failed to install application menu!"
}

#Avian (note added) - install/update a menu item
if [ "$UID" == "0" ]; then
    # system-wide
    install_desktop_entry "$install_prefix" /usr/local/share/applications "Menu"
else
    # user-specific
    install_desktop_entry "$install_prefix" "$HOME/.local/share/applications" "Menu"
fi

#Avian - Now install/update a user desktop entry
if [ -e "$HOME/Desktop" ]; then
    install_desktop_entry "$install_prefix" "$HOME/Desktop" "Desktop"
fi

#Avian - if the Desktop entry is there, set as executable for the user
if [ -e "$HOME/Desktop/$desktop_name" ]; then
    chmod u+rwx "$HOME/Desktop/$desktop_name"
fi

